Bug 67013 - FILESAVE: border of header dissapears when saving in anything but .odt /.ott
Summary: FILESAVE: border of header dissapears when saving in anything but .odt /.ott
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
(earliest affected) release
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
Whiteboard: BSA target:4.2.0
Keywords: filter:docx
Depends on:
Reported: 2013-07-17 21:12 UTC by lo
Modified: 2016-07-13 11:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:

New test file (8.15 KB, application/vnd.oasis.opendocument.text)
2016-06-16 08:42 UTC, pietro.pangallo

Note You need to log in before you can comment on or make changes to this bug.
Description lo 2013-07-17 21:12:05 UTC
Problem description: 

Steps to reproduce:
1. Open this file: https://www.dropbox.com/s/o158fpltxmsq5c9/Straniile.odt
You should be able to see a red horizontal line bordering the header: http://prntscr.com/1g09h5

2. save is as .docx, .doc or pretty much any format (example here: https://www.dropbox.com/s/71k3nlgcko9jvp8/Straniile.doc

3 open the new file.
The red line is gone: http://prntscr.com/1g0ag8

Current behavior: header border diaaperas when saving in another format

Expected behavior: header border shoul remain visible when saving as .doc; .docx

Operating System: Windows 7
Version: release
Comment 1 retired 2013-07-18 09:44:11 UTC
Can confirm, setting to NEW.

Tested on OS X 10.8.4, LO Saving the odt to docx and then opening the docx file with LO results in the document missing the top line on each page.
Comment 2 Commit Notification 2013-07-31 16:27:23 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":


fdo#67013 : fix for borders in headers and footers

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
Affected users are encouraged to test the fix and report feedback.
Comment 3 Luke Deller 2014-03-30 10:13:43 UTC
May we close this item as fixed now?  I see that Adam has made a commit to fix it, but I cannot check against the original report as the dropbox link appears to be broken.
Comment 4 lo 2014-03-30 14:31:48 UTC
Hi Luke,

The issue seems to have been fixed with .docx documents, but not with .doc documents.

See revised files for example: https://www.dropbox.com/sh/h1mmvc0027t17r8/zfUg6rUbb1

My LO version. is
Comment 5 Joel Madero 2015-05-02 15:41:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.2 or later)

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)


2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword

Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-05-02
Comment 6 Gordo 2015-05-13 12:18:10 UTC
Still reproducible for doc and docx.

Windows Vista 64
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 7 pietro.pangallo 2016-06-16 08:42:26 UTC
Created attachment 125688 [details]
New test file

the bug is still present in:
Build ID: a8bd44573b75d1399257d6f5d052611439607189
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-13_23:46:49
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)
Comment 8 pietro.pangallo 2016-07-13 11:02:42 UTC
The issue is still present in:
Build ID: 54f2a4184d1296814e64cfeab1d06ae90d002357
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-07-08_01:43:14
Locale: it-IT (it_IT.UTF-8); Calc: group
OS: openSUSE Leap 42.1 (x86_64)